View Issue Details

IDProjectCategoryView StatusLast Update
0001508FreeCADFeaturepublic2014-04-25 09:50
ReporterjmaustpcAssigned Towandererfan 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Versiontrunk 
Target VersiontrunkFixed in Version0.14 
Summary0001508: Part Revolve - add parameter "solid"
DescriptionPart Revolve - add parameter "solid" and add the create solid in construction dialogues.

To make it consistent with Part Loft, Sweep, and Extrude.

Currently Part Revolve works as those other tools once did, edge creates face, or face creates solid.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

FreeCAD: master 62f00095

2014-04-24 16:55:20

wandererfan


Committer: wmayer Details Diff
Issue 0001508 Solid tickBox for Part.Revolution
Creates Solid for closed Edges & Wires
Affected Issues
0001508
mod - src/Mod/Part/App/FeatureRevolution.cpp Diff File
mod - src/Mod/Part/App/FeatureRevolution.h Diff File
mod - src/Mod/Part/App/TopoShape.cpp Diff File
mod - src/Mod/Part/App/TopoShape.h Diff File
mod - src/Mod/Part/Gui/DlgRevolution.cpp Diff File
mod - src/Mod/Part/Gui/DlgRevolution.ui Diff File

Issue History

Date Modified Username Field Change
2014-04-16 05:19 jmaustpc New Issue
2014-04-24 21:32 wandererfan Assigned To => wandererfan
2014-04-24 21:32 wandererfan Status new => assigned
2014-04-25 09:18 wmayer Changeset attached => FreeCAD Master master 62f00095
2014-04-25 09:50 wmayer Status assigned => closed
2014-04-25 09:50 wmayer Resolution open => fixed
2014-04-25 09:50 wmayer Fixed in Version => 0.14